.ruituo_video_list {
    --bg-page: #032F56;
    --card-bg-color: #071B2D;
    --bg-page-second: #05233d;

    background-color: var(--bg-page-second);
    padding-top: 110px;
    padding-bottom: 120px;
}

.ruituo_video_list_title {
    font-size: var(--ruituo-inner-title);
    margin-bottom: 50px;
}

.ruituo_video_list .video_list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
}

.ruituo_video_list .video_item {
    width: calc(50% - 25px);
    margin-bottom: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 20px;
    background-color: var(--card-bg-color);
    border-radius: 8px;
    gap: 20px;
    transition: all 0.3s ease;
}

.ruituo_video_list .video_item:hover {
    background-color: var(--color-second);
}

.ruituo_video_list .video_item:hover .video_item_icon {
    color: var(--color-second);
}

.ruituo_video_list .ruituo_video_info {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4px;
}

.ruituo_video_list .ruituo_video_info h5 {
    color: #FFF;
    font-size: 18px;
    font-weight: 400;
    line-height: 1.66;
}

.ruituo_video_list .ruituo_video_info p {
    display: inline-block;
    padding: 0 10px;
    background: #004F96;
    border-radius: 20px;
    color: #BDC2CC;
    font-size: 12px;
    font-weight: 400;
    line-height: 1.75;
    white-space: nowrap;
    width: fit-content;
}

.ruituo_video_list .ruituo_video_info h5,
.ruituo_video_list .ruituo_video_info p {
    display: -webkit-box;
    line-clamp: 1;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ruituo_video_list .video_item .video_item_icon {
    width: 38px;
    height: 38px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary);
    border-radius: 50%;
    flex-shrink: 0;
    transition: all 0.3s ease;
    color: var(--card-bg-color);
}

.ruituo_video_list .video_item .video_item_icon:hover {
    transform: scale(1.1);
}

/* 
  pagenation
*/
.ruituo_video_list_page #pagesize ul li a {
    background: var(--bg-page-second) !important;
    border-color: var(--text-color) !important;
    border-radius: 2px;
    color: var(--title-text-color) !important;
    margin: 0 5px !important;
}

.ruituo_video_list_page #pagesize ul li a.active {
    background: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
}

.ruituo_video_list_page #pagesize ul li a:hover {
    color: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
    box-shadow: none !important;
}

.ruituo_video_list_page #pagesize ul li a.active:hover {
    color: var(--title-text-color) !important;
}

@media screen and (max-width: 1200px) {
    .ruituo_video_list .video_item {
        width: calc(50% - 10px);
    }
}

@media screen and (max-width: 992px) {
    .ruituo_video_list .video_item {
        width: calc(50% - 8px);
        margin-bottom: 16px;
        gap: 10px;
        padding: 10px;
    }

    .ruituo_video_list .ruituo_video_info h5 {
        font-size: 16px;
    }
}

@media screen and (max-width: 768px) {
    .ruituo_video_list .video_item {
        width: 100%;
        padding: 20px;
    }

}